{% extends 'base.html.twig' %}

{% block title %}{{parent()}} Représentation{% endblock %}

{% block body %}
<div class="row">


  {% if performance.title %}
     {% set perfTitle = performance.title ~ ' ' ~ performance.subtitle  %}
  {% else %}
     {% set perfTitle = performance.script.title ~ ' ' ~ performance.script.subtitle  %}
  {% endif %}
  


  <h1 class="mb-4 display-1">
    <span class="text-muted">Représentation :</span> {{perfTitle}}
  </h1>
    
  <div class="accordion mb-4">

    <div class="accordion-item">

      <h2 class="accordion-header">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-infos" aria-controls="collapse-infos">
          Informations
        </button>
      </h2>

      <div id="collapse-infos" class="accordion-collapse collapse show" >
        <div class="accordion-body">
          <ul class="list-group list-group-flush">

              <li class="list-group-item">

                {% if performance.alternativeTitle %}
                  <span class="metadata-name">
                    Titre alternatif
                  </span> 
                  {{performance.alternativeTitle}}<br/>
                {% endif %}

                {% if performance.alternativeSubtitle %}
                  <span class="metadata-name">
                    Sous-titre alternatif
                  </span> 
                  {{performance.alternativeSubtitle}}<br/>
                {% endif %}

                <span class="metadata-name">
                Pièce
                </span> 
               <a href="{{path('script', {id: performance.script.id})}}"> 
                <i>{{performance.script.title}}</i>
                {% if performance.script.creators is not empty %}
                  (
                    {% for creator in performance.script.creators %}     
                        {% if creator.person.pseudonym %}
                            {{creator.person.pseudonym}}
                        {% else %}    
                            {{creator.person.firstname}} {{creator.person.lastname}}
                        {% endif %}
                            {{ not loop.last ? ',' }}
                    {% endfor %}
                  )
                {% endif %}
                </a>
              {% if performance.location %}
              <li class="list-group-item">

                <span class="metadata-name">
                Lieu
                </span> 
                {% for loc in recursiveIntermediaryParents(performance.location, null) %}                    
                    <a href="{{path('location', {id: loc.id})}}">{{loc.name}}</a> 
                    {{ not loop.last ? ',' }}
                {% endfor %}

                {% if performance.location.types is not empty %}
                (
                  {% for type in performance.location.types %}
                    {{type.name}}
                    {{ not loop.last ? ',' }}
                  {% endfor %}
                )
                {% endif %}
              </li>

              {% endif %}

              {% if performance.script and performance.actNumber %}
                <li class="list-group-item">
                  <span class="metadata-name">
                  Nombre d'actes
                  </span> 
                  {{performance.actNumber}}
                </li>
                {% endif %}

                <li class="list-group-item"> 
                  <span class="metadata-name">
                  Date
                  </span>

                  <a href="{{ path('dateaccess', {'from': performance.start|date("Y-m-d", false), 'to': performance.end|date("Y-m-d", false)}) }}">
                  {{ interval( performance.start, performance.end) }}
                  </a>
                </li>

                {% if performance.company %}
                <li class="list-group-item">
                  <span class="metadata-name">
                  Troupe
                  </span> 
                  <a href="{{path('company', {id: performance.company.id})}}">
                    {{ performance.company.name }}
                  </a>
                </li>
              {% endif %} 

        </ul>
      </div>
    </div>

    {% if performance.personParticipations is not empty %}
    <div class="accordion-item">

      <h2 class="accordion-header">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-participants" aria-controls="collapse-participants">
          Participants
        </button>
      </h2>

      <div id="collapse-participants" class="accordion-collapse collapse show" >
        <div class="accordion-body">

           <table id="/*datatable*/" class="table table-striped">
              <thead>
                <tr>
                  <th scope="col">Nom</th>
                  <th scope="col">Activité</th>
                </tr>
              </thead>
              <tbody>
                {% for participation in performance.personParticipations %}
                        <tr>
                          <td scope="col">
                    <a href="{{path('person', {id: participation.person.id})}}">
                    {{participation.person.firstname}}  {{participation.person.lastname}}
                    {% if participation.person.pseudonym %} ({{participation.person.pseudonym}}) {% endif %} 
                    </a>
                    </td>
                    <td scope="col">
                    {{participation.activity.name}}
                    </td> 
                  </li>
                {% endfor %}
              </tbody>
            </table>

        </div>
      </div>
    </div>
    {% endif %}

  </div>
</div>
{% endblock %}
